---
apiVersion: "apps/v1"
kind: "Deployment"
metadata:
  name: "{{ $.Values.name }}"
spec:
  replicas: 1
  revisionHistoryLimit: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: "redis"
      app.kubernetes.io/instance: "{{ $.Values.name }}"
  template:
    metadata:
      labels:
        app.kubernetes.io/name: "redis"
        app.kubernetes.io/instance: "{{ $.Values.name }}"
    spec:
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - weight: 1
              preference:
                matchExpressions:
                  - key: "node-role.kubernetes.io/{{ $.Values.nodespace }}"
                    operator: "Exists"
      containers:
        - name: "server"
          image: "redis"
          resources:
            requests:
              memory: "16Mi"
              cpu: "50m"
            limits:
              memory: "32Mi"
              cpu: "100m"
      tolerations:
        - key: "node-role.kubernetes.io/{{ $.Values.nodespace }}"
          operator: "Exists"
          effect: "NoSchedule"
